<?php
	include 'database.php';
	$conn = connect_database();
	session_start();
	if (!isset($_SESSION["admin"]))
	 		header("Location: index.php");
	?>
<!DOCTYPE html> 
<html  lang="en">
	<head>
		<style>
			/* Loading Spinner */
			.spinner{margin:0;width:70px;height:18px;margin:-35px 0 0 -9px;position:absolute;top:50%;left:50%;text-align:center}.spinner > div{width:18px;height:18px;background-color:#333;border-radius:100%;display:inline-block;-webkit-animation:bouncedelay 1.4s infinite ease-in-out;animation:bouncedelay 1.4s infinite ease-in-out;-webkit-animation-fill-mode:both;animation-fill-mode:both}.spinner .bounce1{-webkit-animation-delay:-.32s;animation-delay:-.32s}.spinner .bounce2{-webkit-animation-delay:-.16s;animation-delay:-.16s}@-webkit-keyframes bouncedelay{0%,80%,100%{-webkit-transform:scale(0.0)}40%{-webkit-transform:scale(1.0)}}@keyframes bouncedelay{0%,80%,100%{transform:scale(0.0);-webkit-transform:scale(0.0)}40%{transform:scale(1.0);-webkit-transform:scale(1.0)}}
		</style>
		<meta charset="UTF-8">
		<!--[if IE]>
		<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
		<![endif]-->
		<title> PTMS </title>
		<meta name="description" content="">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<link rel="stylesheet" type="text/css" href="assets/admin-all-demo.css">
		<link rel="stylesheet" type="text/css" href="assets/pricing-table.css">
		<!-- JS Core -->
		<script type="text/javascript" src="assets/js-core.js"></script>
		<script src="assets/highcharts.js"></script>
		<script src="assets/highcharts-more.js"></script>
		<script type="text/javascript">
			$(window).load(function(){
			    setTimeout(function() {
			        $('#loading').fadeOut( 400, "linear" );
			    }, 300);
			});
		</script>	
		<script type="text/javascript" src="assets/admin-all-demo.js"></script>
		<script type="text/javascript" src="assets/chosen/chosen.js"></script>
		<script type="text/javascript" src="assets/chosen/chosen-demo.js"></script>
		<link rel="stylesheet" type="text/css" href="assets/chosen/chosen.css" />
		<link rel="stylesheet" type="text/css" href="assets/datatable/datatable.css">
		<script type="text/javascript" src="assets/datatable/datatable.js"></script>
		<script type="text/javascript" src="assets/datatable/datatable-bootstrap.js"></script>
		<script type="text/javascript" src="assets/datatable/datatable-tabletools.js"></script>
		<script type="text/javascript" src="assets/datepicker/datepicker.js"></script>
		<style>
			table.dataTable thead>tr>th {
			padding-right: 2px;
			padding-left: 2px
			}
		</style>
	</head>
	<body>
		<div id="sb-site">
			<div id="loading">
				<div class="spinner">
					<div class="bounce1"></div>
					<div class="bounce2"></div>
					<div class="bounce3"></div>
				</div>
			</div>
			<div id="page-wrapper">
				<?php include("top.php");?>
				<div id="page-content-wrapper">
					<div id="page-content">
						<div class="container">
							<form method="post" action="do_add_vehicle.php" id="formVehicle" name="formVehicle">
								<div class="row">
									<div class="col-md-12">
										<div class="content-box">
											<h3 class="content-box-header bg-default">											
												<b>Vehicle</b>
												<span class="header-buttons-separator">
												<a href="#" class="icon-separator tooltip-button" data-toggle="tooltip" data-placement="top" title="Save" onclick="document.formVehicle.submit()">
												<i class="glyph-icon icon-check" style="color:#5cb85c;font-size:14px"></i>
												</a>	
												<a href="vehicle.php" class="icon-separator tooltip-button" data-toggle="tooltip" data-placement="top" title="Cancel">
												<i class="glyph-icon icon-remove" style="color:#d9534f;font-size:14px"></i>
												</a>	
												</span>
											</h3>
											<div class="content-box-wrapper">
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Vehicle No.</div>
																<input type="text" class="form-control" id="vehicle_name" name="vehicle_name" placeholder="">
															</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<select name="gps_model" id="gps_model" class="chosen-select">
																	<option value="" disabled selected>GPS Model</option>
																	<option value="i2">i2</option>
																	<option value="s2">s2</option>
																</select>
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">GPS Installation Date</div>
																<input type="text" class="bootstrap-datepicker form-control" value="<?php echo date("d/m/Y"); ?>" data-date-format="dd/mm/yyyy" id="gps_installation_date" name="gps_installation_date" placeholder="">
																<script type="text/javascript">
																	/* Datepicker bootstrap */
																	
																	$(function() { "use strict";
																		$('.bootstrap-datepicker').bsdatepicker({
																			format: 'dd/mm/yyyy'
																		});
																	});
																	
																</script>
															</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Odometer Reading</div>
																<input type="text" class="form-control" id="odometer" name="odometer" placeholder="">
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<select name="tank_type" id="tank_type" class="chosen-select">
																<option value="" disabled selected>Fuel Tank Type</option>
																<option value="Rectangle">Rectangle</option>
																<option value="Cylinder">Cylinder</option>
															</select>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Fuel Tank Size</div>
																<input type="text" class="form-control" id="tank_size" name="tank_size" placeholder="">
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Fuel Tank Max Capacity</div>
																<input type="text" class="form-control" id="tank_max" name="tank_max" placeholder="">
															</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Idling Rate</div>
																<input type="text" class="form-control" id="idling_rate" name="idling_rate" placeholder="">
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon" style="min-width:186px">Mileage Rate</div>
																<input type="text" class="form-control" id="mileage_rate" name="mileage_rate" placeholder="">
															</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<div class="input-group-addon">Temperature Fuel Loss Rate</div>
																<input type="text" class="form-control" id="temperature_fuel" name="temperature_fuel" placeholder="">
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<select name="fuel_type" id="fuel_type" class="chosen-select">
																	<option value="" disabled selected> Vehicle Fuel Type</option>
																	<option value="Petrol">Petrol</option>
																	<option value="Diesel">Diesel</option>
																</select>
															</div>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<div class="input-group">
																<select name="error_rate" id="error_rate" class="chosen-select">
																	<option value="" disabled selected>Permissible Error Rate</option>
																	<option value="10">10%</option>
																</select>
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<select name="username" id="username" class="chosen-select">
															<option value="" disabled selected>User</option>
															<?php
																$result_user = mysql_query("SELECT * FROM $db_users",$conn);
																while ($row_user = mysql_fetch_array($result_user)) {
															?>
															<option value="<?php echo $row_user['username']; ?>"><?php echo $row_user['username']; ?></option>
															<?php } ?>
														</select>
													</div>
													<div class="col-md-6">
														<div class="input-group">
															<div class="input-group-addon" style="min-width:186px">Fuel Tank Min Capacity</div>
																<input type="text" class="form-control" id="tank_min" name="tank_min" placeholder="">
														</div>
													</div>
												</div>
												
											</div>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<script src="assets/js/classie.js"></script>
		<script src="assets/js/selectFx.js"></script>
		<script class="init">
			$(document).ready(function() {
			$('#datatable-example').dataTable({ responsive: true,'bFilter':false,'bLengthChange':false,'bInfo':false,'bSort':false,'bPaginate':false});
			
			});
			(function() {
			[].slice.call( document.querySelectorAll( 'select.cs-select' ) ).forEach( function(el) {	
				new SelectFx(el);
			} );
			})();
		</script>
	</body>
</html>