$(document).ready(function() {
	map2 = new GMaps({
		div: "#map-marker",
		lat: 3.157912,
		lng: 101.712177
	}), map2.addMarker({
		lat: 3.157912,
		lng: 101.712177,
		title: "Marker with InfoWindow",
		infoWindow: {
			content: "<p>Petronas Twin Tower, Kuala Lumpur City Centre, 50088 Kuala Lumpur, Wilayah Persekutuan Kuala Lumpur, Malaysia</p>"
		}
	});
});
var map;
$(document).on("submit", ".edit_marker", function(a) {
	a.preventDefault();
	var b = $(this).data("marker-index");
	$lat = $("#marker_" + b + "_lat").val(), $lng = $("#marker_" + b + "_lng").val();
	var c = $("#edit_marker_template").text(),
		d = c.replace(/{{index}}/g, b).replace(/{{lat}}/g, $lat).replace(/{{lng}}/g, $lng);
	map.markers[b].setPosition(new google.maps.LatLng($lat, $lng)), map.markers[b].infoWindow.setContent(d), $marker = $("#markers-with-coordinates").find("li").eq(0).find("a"), $marker.data("marker-lat", $lat), $marker.data("marker-lng", $lng)
}), $(document).on("click", ".pan-to-marker", function(a) {
	a.preventDefault();
	var b, c, d = $(this).data("marker-index"),
		e = $(this).data("marker-lat"),
		f = $(this).data("marker-lng");
	if (void 0 != d) {
		var g = map.markers[d].getPosition();
		b = g.lat(), c = g.lng()
	} else b = e, c = f;
	map.setCenter(b, c)
});