<?php  

	/*

	| -------------------------------------------------------------------

	| DATABASE CONNECTIVITY SETTINGS

	| -------------------------------------------------------------------

	| This file will contain the settings needed to access your database.

	|

	| For complete instructions please consult the "Database Connection"

	| page of the User Guide.

	|

	| -------------------------------------------------------------------

	| EXPLANATION OF VARIABLES

	| -------------------------------------------------------------------

	|

	|	['hostname'] The hostname of your database server.

	|	['username'] The username used to connect to the database

	|	['password'] The password used to connect to the database

	|	['database'] The name of the database you want to connect to

	|	['dbdriver'] The database type. ie: mysql.  Currently supported:

					 mysql, mysqli, postgre, odbc, mssql, sqlite, oci8

	|	['dbprefix'] You can add an optional prefix, which will be added

	|				 to the table name when using the  Active Record class

	|	['pconnect'] TRUE/FALSE - Whether to use a persistent connection

	|	['db_debug'] TRUE/FALSE - Whether database errors should be displayed.

	|	['cache_on'] TRUE/FALSE - Enables/disables query caching

	|	['cachedir'] The path to the folder where cache files should be stored

	|	['char_set'] The character set used in communicating with the database

	|	['dbcollat'] The character collation used in communicating with the database

	|

	| The $active_group variable lets you choose which connection group to

	| make active.  By default there is only one group (the "default" group).

	|

	| The $active_record variables lets you determine whether or not to load

	| the active record class

	*/



	$active_group = "default";

	$active_record = TRUE;

$db_admin = "decpro@hotmail.com";
	
	$db_password = "1";

	$db['default']['dbdriver'] = "mysql";

	$db['default']['dbprefix'] = "";

	$db['default']['pconnect'] = FALSE;

	$db['default']['db_debug'] = FALSE;

	$db['default']['cache_on'] = FALSE;

	$db['default']['cachedir'] = "";

	$db['default']['char_set'] = "utf8";

	$db['default']['dbcollat'] = "utf8_general_ci";
	
	$config_system_name = "Fuel Consumption";

	$db_drivers = "drivers";
	
	$db_vehicles = "vehicles";

	$db_vehicle_positions = "vehicle_positions";
	
	$db_fuel_price = "fuel_price";
	
		$db_fuel_price2 = "fuel_price2";

$siteKey = '6LcDhRgTAAAAAOJf5K1u3TX-ObikaqTKQPLPOQ9B';
	
	$secret = '6LcDhRgTAAAAAN7L7qe3KLlabR-62nH9G5tKJKmp';

$db_users = "users";

$db_adjustment = "adjustment";

$db_fixed_cost = "fixed_cost";
	
	$db_refuel_cost = "refuel_cost";
	
	$db_variable_cost = "variable_cost";

$db_fuel_summary = "fuel_summary";
$db_fuel_summary2 = "fuel_summary2";

	$db_activity_log = "activity_log";
	
	$db_admin_log = "admin_log";

//$db_notifications = "notifications";

$db_insurances = "insurances";

$db_drive_score = "drive_score";
	
$db_day_light_chart = "day_light_chart";

$db_driving_time_chart = "driving_time_chart";

$db_notifications = "notifications";

$db_user_insurance = "user_insurance";

$db_visitors = "visitors";
$db_pushover = "pushover";

$db_oem = "oem";

$db_locations = "locations";

$db_user_oem = "user_oem";


	function connect_database()
	{
		$db['default']['hostname'] = "localhost";
		$db['default']['username'] = "justrack_ptms";
		$db['default']['password'] = "justrack_ptms";
		$db['default']['database'] = "justrack_ptms";
		$conn = mysql_connect($db['default']['hostname'], $db['default']['username'], $db['default']['password']) or die('Error connecting to mysql');
		$db_selected = mysql_select_db($db['default']['database'],$conn);
		if (!$db_selected) {
			die ('Can\'t use database : ' . mysql_error());
		}	
		return $conn;
	}
	function connect_database_gps()
	{
		$db['default']['hostname'] = "localhost";
		$db['default']['username'] = "justrack_fuel";
		$db['default']['password'] = "justrack_fuel";
		$db['default']['database'] = "justrack_fuel";
		$conn_gps = mysql_connect($db['default']['hostname'], $db['default']['username'], $db['default']['password'],true) or die('Error connecting to mysql');
		$db_selected = mysql_select_db($db['default']['database'],$conn_gps);
		if (!$db_selected) {
			die ('Can\'t use database : ' . mysql_error());
		}	
		return $conn_gps;
	}
	function connect_database_chinhin()
	{
		$db['default']['hostname'] = "localhost";
		$db['default']['username'] = "justrack_chinhin";
		$db['default']['password'] = "justrack_chinhin";
		$db['default']['database'] = "justrack_chinhin";
		$conn_chinhin = mysql_connect($db['default']['hostname'], $db['default']['username'], $db['default']['password']) or die('Error connecting to mysql');
		$db_selected = mysql_select_db($db['default']['database'],$conn_chinhin);
		if (!$db_selected) {
			die ('Can\'t use database : ' . mysql_error());
		}
		return $conn_chinhin;
	}
	function get_client_ip() {
		$ipaddress = '';
		if ($_SERVER['HTTP_CLIENT_IP'])
			$ipaddress = $_SERVER['HTTP_CLIENT_IP'];
		else if($_SERVER['HTTP_X_FORWARDED_FOR'])
			$ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
		else if($_SERVER['HTTP_X_FORWARDED'])
			$ipaddress = $_SERVER['HTTP_X_FORWARDED'];
		else if($_SERVER['HTTP_FORWARDED_FOR'])
			$ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
		else if($_SERVER['HTTP_FORWARDED'])
			$ipaddress = $_SERVER['HTTP_FORWARDED'];
		else if($_SERVER['REMOTE_ADDR'])
			$ipaddress = $_SERVER['REMOTE_ADDR'];
		else
			$ipaddress = 'UNKNOWN';
		return $ipaddress;
	}
	
	function get_month_name($month)
	{
		$mons = array(1 => "January", 2 => "February", 3 => "March", 4 => "April", 5 => "May", 6 => "Jun", 7 => "July", 8 => "August", 9 => "September", 10 => "October", 11 => "November", 12 => "December");
		$month_name = $mons[$month];
		echo $month_name;
	}
?>