<?php

$fp = fopen('lock_dx.txt', 'w');
if(!flock($fp, LOCK_EX | LOCK_NB)) {
    echo 'Unable to obtain lock';
    exit(-1);
}


include 'database.php';
$conn     = connect_database();
$conn_gps = connect_database_gps();
$socket = stream_socket_client('udp://210.48.155.139:9002');

// $socket = stream_socket_client('tcp://210.48.155.139:9002');

function getRhumbLineBearing($lat1, $lon1, $lat2, $lon2) {
				//difference in longitudinal coordinates
				$dLon = deg2rad($lon2) - deg2rad($lon1);
				
				//difference in the phi of latitudinal coordinates
				$dPhi = log(tan(deg2rad($lat2) / 2 + pi() / 4) / tan(deg2rad($lat1) / 2 + pi() / 4));
			
				//we need to recalculate $dLon if it is greater than pi
				if(abs($dLon) > pi()) {
					if($dLon > 0) {
						$dLon = (2 * pi() - $dLon) * -1;
					}
					else {
						$dLon = 2 * pi() + $dLon;
					}
				}
				//return the angle, normalized from -180 / 180
				return (rad2deg(atan2($dLon, $dPhi)) + 360) % 360;
			}
			
			function getCompassDirection($bearing) {
				$tmp = round($bearing / 22.5);
				switch($tmp) {
					case 1:
						$direction = "NorthEast";
						break;
					case 2:
						$direction = "NorthEast";
						break;
					case 3:
						$direction = "EastNorth";
						break;
					case 4:
						$direction = "East";
						break;
					case 5:
						$direction = "EastSouth";
						break;
					case 6:
						$direction = "SouthEast";
						break;
					case 7:
						$direction = "SouthEast";
						break;
					case 8:
						$direction = "South";
						break;
					case 9:
						$direction = "SouthWest";
						break;
					case 10:
						$direction = "SouthWest";
						break;
					case 11:
						$direction = "WestSouth";
						break;
					case 12:
						$direction = "West";
						break;
					case 13:
						$direction = "WestNorth";
						break;
					case 14:
						$direction = "NorthWest";
						break;
					case 15:
						$direction = "NorthWest";
						break;
					default:
						$direction = "North";
				}
				return $direction;
			}
			
function is_in_polygon($points_polygon, $vertices_x, $vertices_y, $longitude_x, $latitude_y)
{
    $i = $j = $c = 0;
    for ($i = 0, $j = $points_polygon; $i < $points_polygon; $j = $i++)
    {
        if ((($vertices_y[$i] > $latitude_y != ($vertices_y[$j] > $latitude_y)) && ($longitude_x < ($vertices_x[$j] - $vertices_x[$i]) * ($latitude_y - $vertices_y[$i]) / ($vertices_y[$j] - $vertices_y[$i]) + $vertices_x[$i])))
            $c = !$c;
    }
    return $c;
}

//$result_vehicle = mysql_query("select * from $db_vehicles", $conn);
//$result_vehicle = mysql_query("select vehicle_name,vehicle_user,gps_model from $db_vehicles where vehicle_user='worldwidecontainer' or  vehicle_user='excelfreight' or vehicle_user='wwc2' or vehicle_user='atwin' or vehicle_user='yshaulage' or vehicle_user='tnegroup' or vehicle_user='tanzhuan' or vehicle_user='tkttrading' or vehicle_user='omexpress' or vehicle_user='naventures'",$conn_gps);
//$result_vehicle = mysql_query("select * from $db_vehicles where  vehicle_user IN ('worldwidecontainer','ganfatt','excelfreight','huphin','gloryideals','wwc2','atwin','yshaulage','tnegroup','tanzhuan','tkttrading','omexpress','naventures',   'tiongnamhp','tiongnamhq','tiongnamjb','tiongnammelaka','tiongnamthai','tiongwang','tnasahi','tnbangi','tnbasf','tnbatupahat','tnbutterworth','tnhaulier','tnheavylifting','tnheineken','tnipoh','tnkonica','tnktn','tnlinocraft','tnmbmproject','tnsaoutstation','tnseagate','tnslp','tntransitjb','tnsareefer','tnsawhsei','tnpowerauto')", $conn_gps);
$result_vehicle = mysql_query("select * from $db_vehicles where  vehicle_user IN ('bilsadminjb','bersatu','icclhl')", $conn_gps);


//$result_vehicle = mysql_query("select vehicle_name,vehicle_user,gps_model from $db_vehicles where vehicle_user='yshaulage'",$conn_gps);
	
while ($row_vehicle = mysql_fetch_array($result_vehicle))
{
    //$result_postion  = mysql_query("SELECT * FROM `" . $row_vehicle["vehicle_name"] . "` WHERE time = (select max(time) as time from `" . $row_vehicle["vehicle_name"] . "`)", $conn_gps);
    //$result_postion  = mysql_query("SELECT * FROM `" . $row_vehicle["vehicle_name"] . "` order by time desc limit 0,2", $conn_gps);

	$server = '202.75.63.180';
    $link   = mssql_connect($server, 'vms2', 'jst5530$');
	if (!$link || !mssql_select_db('CxGpsBaseInfo', $link)) 
	{
	    die('Unable to connect or select database!');
	}

    //$result = mssql_query("SELECT * FROM FenceInfo2 Where IsSwitch ='0'");
	$result = mssql_query("SELECT SystemNo FROM Vehicles Where VehNoF='".$row_vehicle["vehicle_name"]."'");
    $systemNo1 = mssql_fetch_array($result);
	$systemNo = $systemNo1["SystemNo"];
                                            
                                            
    $link   = mssql_connect($server, 'vms2', 'jst5530$');
	if (!$link || !mssql_select_db('CxGpsInformation', $link)) 
	{
	    die('Unable to connect or select database!');
	}			
			                                
    $result_postion = mssql_query("SELECT TOP(2) Time, Longitude, Latitude, Locate, Velocity, DtStatus as acc, AlarmS as alarms FROM cx".$systemNo." Order BY Time DESC");
    
    
    $row_position    = mssql_fetch_array($result_postion);
    $row_position_second    = mssql_fetch_array($result_postion);
    
    $result_location = mysql_query("SELECT * FROM $db_locations", $conn);
    while ($row_location = mysql_fetch_array($result_location))
    {
        $location_x           = array();
        $location_y           = array();
        $objs_location        = json_decode($row_location["location_geofence"], true);
        foreach ($objs_location as $obj_location)
        {
            if ($obj_location["type"] == "POLYGON" || $obj_location["type"] == "RECTANGLE" || $obj_plant["type"] == "CIRCLE")
            {
                for ($i = 0; $i <= count($obj_location["geometry"][0]); $i++)
                {
                    array_push($location_y, $obj_location["geometry"][0][$i][0]);
                    array_push($location_x, $obj_location["geometry"][0][$i][1]);
                }
                break;
            }
        }
        $points_polygon_location = count($location_x) - 1;
        // if (is_in_polygon($points_polygon_location, $location_x, $location_y, $row_position["longitude"], $row_position["latitude"]) && $row_position["latitude"]!="0" && $row_vehicle["vehicle_name"]!="NCQ3505(i2)" )
        if (is_in_polygon($points_polygon_location, $location_x, $location_y, $row_position["Longitude"], $row_position["Latitude"]) && $row_position["Latitude"]!="0" && $row_position["Longitude"]!="")
        // if (date("Y")>0)
        {
            if ($socket) {
                if ($row_position["alarms"] !="0") $event ="Alarm";
                elseif ($row_position["acc"] =="0" && $row_position_second["acc"] =="1") $event ="Engine_Off";
                elseif ($row_position["acc"] =="1" && $row_position_second["acc"] =="0") $event ="Engine_On";
                elseif ($row_position["Velocity"] >0) $event ="Speed";
                else $event ="Time";
                if ($row_position["acc"] =="1" && $row_position["Velocity"] ==0) $event ="Idling";
                
                if ($row_position["acc"] =="0") $engine ="Off";
                else $engine ="On";
                
                if ($row_position["locate"] =="0") $gps ="Bad";
                else $gps ="Good";
                
                /* get bearing direction */
                $lat1 = $row_position['Latitude'];
				$lon1 = $row_position['Longitude'];
				$d = 1;
				$r = 3959;
				//compute max and min latitudes / longitudes for search square
				$latN = rad2deg(asin(sin(deg2rad($lat1)) * cos($d / $r) + cos(deg2rad($lat1)) * sin($d / $r) * cos(deg2rad(0))));
				$latS = rad2deg(asin(sin(deg2rad($lat1)) * cos($d / $r) + cos(deg2rad($lat1)) * sin($d / $r) * cos(deg2rad(180))));
				$lonE = rad2deg(deg2rad($lon1) + atan2(sin(deg2rad(90)) * sin($d / $r) * cos(deg2rad($lat1)), cos($d / $r) - sin(deg2rad($lat1)) * sin(deg2rad($latN))));
				$lonW = rad2deg(deg2rad($lon1) + atan2(sin(deg2rad(270)) * sin($d / $r) * cos(deg2rad($lat1)), cos($d / $r) - sin(deg2rad($lat1)) * sin(deg2rad($latN))));
				
				$bearing = getCompassDirection(getRhumbLineBearing($lat1, $lon1, $row_position_second['Latitude'], $row_position_second['Longitude']));
                /**/
                
				$vehicle_str = $row_vehicle["vehicle_name"];
				$vehicle_str = strtok($vehicle_str, '(');				
				//$vehicle_plate = trim(explode('-', $vehicle_str)[1]);
				if (strpos($vehicle_str, '-') !== false) {
				    $vehicle_plate = trim(substr($vehicle_str, strpos($vehicle_str, '-') + 1));
				}else
				{
				$vehicle_plate = $vehicle_str;
				}
				
				$data = ">ROTJST,".$vehicle_plate.",".date('d-m-Y',strtotime($row_position["Time"])).",".date('H:i:s',strtotime($row_position["Time"])).",".$event.",".$engine.",".$gps.",".$row_position["Latitude"].",".$row_position["Longitude"].",".$row_position["Velocity"].",".$bearing."<";
                // $sent = stream_socket_sendto($socket, $data);
                echo " __1__ <br>";
                $sent = stream_socket_sendto($socket, $data);
                
                echo "Dataaaaaaa 1: '" . stream_socket_recvfrom($socket, 1500) . "'\n";
                echo " __2__ <br>";
                $sent = fwrite($socket, $data);
                echo "Dataaaaaaa 2: '" . stream_socket_recvfrom($socket, 1500) . "'\n";
                
                echo $data." __3__ <br>";
                
				
				$result_log = mysql_query("insert into activity_log_dx values(NULL, '".date('Y-m-d H:i:s')."', 'ROTJST', '".$row_vehicle["vehicle_name"]."', '".$row_vehicle["vehicle_user"]."', '".$data."' )", $conn);
                // echo date('d-m-Y',strtotime($row_position["Time"])).date('H:i:s',strtotime($row_position["Time"])).$vehicle_plate."done"."</br>";
            } else {
                echo 'Unable to connect to server';
            }
        }
    }
}


stream_socket_shutdown($socket, STREAM_SHUT_RDWR);
fclose($socket);

mysql_close($conn);
mysql_close($conn_gps);

sleep(5);
fclose($fp);

?>